Subject: bug#78712: 31.0.50; definition is void in file-notify

From: Al Haji-Ali <[email-masked]>
Date: Fri, 06 Jun 2025 13:59:08 +0100

On 06/06/2025, Michael Albinus wrote:
>
> --8<---------------cut here---------------start------------->8---
>> |   file-notify-handle-event((file-notify (63 (rename attrib delete) "[redacted]") file-notify--callback-kqueue))
> --8<---------------cut here---------------end--------------->8---
>
> This looks wrong. The event in the object, file-notify-handle-event is
> called with, has only three slots: (63 (rename attrib delete) "[redacted]").
>
> Why do you call file-notify-handle-event yourself? It is not intended
> for this use case.

I am not sure why it's wrong. Happy to debug if given directions.
Note that I do not actually call `file-notify-handle-event` myself. The call-stack I gave is produced regularly yet randomly, on what I suspect are certain changes to the file under question (the file is automatically sync'ed so I don't control the changes).

The code I provided is just something I cobbled together to showcase that the cause of the error is the action sequence (rename attrib delete), which seem to be a legitimate sequence based on the callstack.